complexType "AdjustableDates"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 1 element
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 1 element
Used: | at 5 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | unadjustedDate*
</...>

Content Model Elements (1):

  unadjustedDate (defined in AdjustableDates complexType)

All Direct / Indirect Based Elements (5):

  adjustableDates (defined in AdjustableDatesOrRelativeDateOffset complexType),
  adjustableDates (defined in AdjustableOrRelativeDates complexType),
  calculationDates (defined in CommodityCalculationPeriods.model group),
  calculationPeriods,
  periods

Known Usage Locations

- As direct type of elements (5):
  adjustableDates (defined in AdjustableDatesOrRelativeDateOffset complexType),
  adjustableDates (defined in AdjustableOrRelativeDates complexType),
  calculationDates (defined in CommodityCalculationPeriods.model group),
  calculationPeriods,
  periods

Annotation
A type for defining a series of dates that shall be subject to adjustment if they would otherwise fall on a day that is not a business day in the specified business centers, together with the convention for adjusting the dates.
XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="AdjustableDates"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="unadjustedDate" type="IdentifiedDate"/> <!--View Generation: SKIPPED dateAdjustments - Adjustments--> <!--View Generation: SKIPPED adjustedDate - Documentation--> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID" use="optional"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID" use="optional"/>

Content Element Detail (all declarations; defined within this component only; 1/1)
unadjustedDate

  Type: | IdentifiedDate, simple content

  A date subject to adjustment.
  Simple Content

  xsd:date

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="unadjustedDate" type="IdentifiedDate"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.